Bug 6231 - System preferences in XSLT view broken
Summary: System preferences in XSLT view broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6212
  Show dependency treegraph
 
Reported: 2011-04-21 11:36 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (10.84 KB, patch)
2011-04-21 13:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-04-21 11:36:19 UTC
In XSLT displays the system preferences are broken.

Examples are:
URLLinkText
OPACURLOpenInNewWindow
UseControlNumber

A lot of new featues in 3.4 rely on those. It also breaks display of URLs in result list. (See Bug 6212)
Comment 1 Katrin Fischer 2011-04-21 13:50:22 UTC
Created attachment 3968 [details] [review]
proposed patch

The broken system preferences all contained a URL. These were:
- URLLinkTex
- OPACurlOpenInNewWindow
- OPACBaseURL

UseControlNumber was not affected.
Comment 2 Chris Cormack 2011-04-21 19:22:01 UTC
Pushed, please test
Comment 3 Katrin Fischer 2011-04-24 13:55:35 UTC
Works in 3.4